$schema: "https://json-schema.org/draft/2020-12/schema"
title: "TaskCompleted"
type: "object"

properties:
  process_model:
    type: string
  process_instance_id:
    type: integer
  task_spec:
    type: string
  task_name:
    type: string
  data:
    type: object

required:
  - process_model
  - process_instance_id
  - task_spec
  - task_name
  - data

examples:
  - process_model: myome/mainline/start-mainline-flow
    process_instance_id: 1234
    task_spec: Task_1hxfci7
    task_name: Perform QC Check
    data:
      result: OK
